LibreOffice: XFilePicker3 Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XFilePicker3 Interface Referencepublished

Provides unified interface for FilePicker service. More...

`import "XFilePicker3.idl";`

Inheritance diagram for XFilePicker3:

## Exported Interfaces
interface | XFilePicker2
interface | XFilePickerNotifier
| Provides the ability to request notifications about changes.
interface | XFilterManager
| Provides the ability to add different filter, query for the current filters and set a current filter.
interface | XFilePreview
| Provides the ability to show a preview of a selected file.
interface | XFilterGroupManager
| An interface which allows manipulation of groups of filters.
interface | com::sun::star::util::XCancellable
| For canceling a running dialog instance.
interface | com::sun::star::lang::XComponent
| For shutdown and listener support.

## Additional Inherited Members
Public Member Functions inherited from XFilePicker2
sequence< string > | getSelectedFiles ()
| Returns a sequence of the selected files including path information in URL format, conforming to Rfc1738.
Public Member Functions inherited from XFilePicker
void | setMultiSelectionMode ([in] boolean bMode)
| Enable/disable multi-selection mode.
void | setDefaultName ([in] string aName)
| Sets the default string that appears in the file name box of a FilePicker.
void | setDisplayDirectory ([in] string aDirectory) raises ( ::com::sun::star::lang::IllegalArgumentException )
| Sets the directory that the file dialog initially displays.
string | getDisplayDirectory ()
| Returns the directory that the file dialog is currently showing or was last showing before closing the dialog with Ok.
sequence< string > | getFiles ()
| Returns a sequence of the selected files including path information in URL format, conforming to Rfc1738.
Public Member Functions inherited from XExecutableDialog
void | setTitle ([in] string aTitle)
| Sets the title of the dialog.
short | execute ()
| Executes (shows) the dialog.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XFilePickerNotifier
void | addFilePickerListener ([in] XFilePickerListener xListener)
| Interface for clients to register as XFilePickerListener.
void | removeFilePickerListener ([in] XFilePickerListener xListener)
| Interface for clients to unregister as XFilePickerListener.
Public Member Functions inherited from XFilterManager
void | appendFilter ([in] string aTitle, [in] string aFilter) raises ( ::com::sun::star::lang::IllegalArgumentException )
| Adds a filter identified by a title.
void | setCurrentFilter ([in] string aTitle) raises ( ::com::sun::star::lang::IllegalArgumentException )
| Sets the current filter.
string | getCurrentFilter ()
| Returns the currently selected filter.
Public Member Functions inherited from XFilterGroupManager
void | appendFilterGroup ([in] string sGroupTitle, [in] sequence< com::sun::star::beans::StringPair > aFilters) raises ( com::sun::star::lang::IllegalArgumentException )
| Appends a group of filters to the current filter list.
Public Member Functions inherited from XCancellable
void | cancel ()
| cancels the current job of the object.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Protected Member Functions inherited from XFilePreview
sequence< short > | getSupportedImageFormats ()
| The method returns all image formats that the preview supports.
com::sun::star::util::Color | getTargetColorDepth ()
| The method returns the supported color depth of the target device.
long | getAvailableWidth ()
| The method returns the available width of the preview window even if the window is invisible or could not be created.
long | getAvailableHeight ()
| The method returns the available height of the preview window even if the window is invisible or could not be created.
void | setImage ([in] short aImageFormat, [in] any aImage) raises ( ::com::sun::star::lang::IllegalArgumentException )
| Sets a new image.
boolean | setShowState ([in] boolean bShowState)
| Optionally sets the current show state of the preview.
boolean | getShowState ()
| Returns the current show state of the preview.
Protected Member Functions inherited from XFilterGroupManager
void | appendFilterGroup ([in] string sGroupTitle, [in] sequence< com::sun::star::beans::StringPair > aFilters) raises ( com::sun::star::lang::IllegalArgumentException )
| Appends a group of filters to the current filter list.
Protected Member Functions inherited from XCancellable
void | cancel ()
| cancels the current job of the object.
Protected Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.

## Detailed Description

Provides unified interface for FilePicker service.

Since
  LibreOffice 4.1

## Exported Interfaces

## ◆ com::sun::star::lang::XComponent

interface com::sun::star::lang::XComponent

For shutdown and listener support.

## ◆ com::sun::star::util::XCancellable

interface com::sun::star::util::XCancellable

For canceling a running dialog instance.

This may be useful for automatic test tools for instance.

## ◆ XFilePicker2

interface XFilePicker2

## ◆ XFilePickerNotifier

interface XFilePickerNotifier

Provides the ability to request notifications about changes.

## ◆ XFilePreview

interface XFilePreview
| optional

Provides the ability to show a preview of a selected file.

## ◆ XFilterGroupManager

interface XFilterGroupManager

An interface which allows manipulation of groups of filters.

## ◆ XFilterManager

interface XFilterManager

Provides the ability to add different filter, query for the current filters and set a current filter.

The documentation for this interface was generated from the following file:

- com/sun/star/ui/dialogs/XFilePicker3.idl